FUNPAINI(3)

NAME

pat_addpaini, pat_frepaini

SYNOPSYS

struct paini *pat_addpaini (lastpaini, name, value)
struct paini *lastpaini;
char         *name;
char          value;
void pat_frepaini (listpaini)
struct paini *listpaini;

PARAMETERS

lastpaini
    pointer on the last paini structure

name
    register's name

value
    value to be forced into the register

listpaini
    list of paini structures to be deleted

DESCRIPTION

A paini is a data structure representing the initialization of a one-bit register.

pat_addpaini() adds a paini structure at the top of a list of paini structures. The name registered in the paini is produced by namealloc(). The function returns the pointer of the new list. No check is made by this function.

pat_frepaini() deletes a list of paini structures. If the list to be deleted is an empty list (NULL pointer), no action is produced. No check is made by this function.

EXAMPLE

#include <pat106.h>
struct paini *list;
list = pat_addpaini (list, "general_register", '1');
pat_frepaini (list);

SEE ALSO

libpat(3), paini(3), namealloc(3)